Browse Source

gnu: libtool: Update to 2.4.5.

* gnu/packages/autotools.scm (libtool): Update to 2.4.5.
  (libltdl): Adjust 'version' and 'source' to remain at 2.4.4.
gn-latest-20200428
Ludovic Courtès 7 years ago
parent
commit
a101c891e1
  1. 16
      gnu/packages/autotools.scm

16
gnu/packages/autotools.scm

@ -238,14 +238,14 @@ Makefile, simplifying the entire process for the developer.")
(define-public libtool
(package
(name "libtool")
(version "2.4.4")
(version "2.4.5")
(source (origin
(method url-fetch)
(uri (string-append "mirror://gnu/libtool/libtool-"
version ".tar.xz"))
(sha256
(base32
"0v3zq08qxv7k5067mpqrkjkjl3wphhg06i696mka90mzadc5nad8"))
"0zhphv4n9bdd6sz66lqfrfqcsnv89mg2bykgi5w9401va4vc3al4"))
(patches
(list (search-patch "libtool-skip-tests.patch")))))
(build-system gnu-build-system)
@ -295,8 +295,16 @@ complexity of working with shared libraries across platforms.")
;; Libtool's extensive test suite isn't run.
(package
(name "libltdl")
(version (package-version libtool))
(source (package-source libtool))
(version "2.4.4")
(source (origin
(method url-fetch)
(uri (string-append "mirror://gnu/libtool/libtool-"
version ".tar.xz"))
(sha256
(base32
"0v3zq08qxv7k5067mpqrkjkjl3wphhg06i696mka90mzadc5nad8"))
(patches
(list (search-patch "libtool-skip-tests.patch")))))
(build-system gnu-build-system)
(arguments
'(#:configure-flags '("--enable-ltdl-install") ;really install it

Loading…
Cancel
Save